Bug 167086 - GtkComboBox menu item text doesn't prelight
Summary: GtkComboBox menu item text doesn't prelight
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-artwork   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-30 05:04 UTC by Geoff Reedy
Modified: 2013-03-13 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-13 02:46:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes GtkComboBox item prelighting (3.93 KB, patch)
2005-08-30 05:04 UTC, Geoff Reedy
no flags Details | Diff

Description Geoff Reedy 2005-08-30 05:04:46 UTC
Description of problem:

The menu items from a GtkComboBox are hard to read when moused over.  

Version-Release number of selected component (if applicable):

CVS checkout on 2005-08-29

How reproducible:

Always

Steps to Reproduce:
1. Choose the Bluecurve-Slate theme
2. Run gtk-demo
3. Pick the Combo boxes demo
4. Open one of the combo boxes
  
Actual results:

The item under the cursor is an impossible to read black text on very dark gray

Expected results:

The item under the cursor is readable white text on very dark gray

Additional info:

This problem is also present in the other color schemes, but is not as drastic
as the Slate theme.  

The bluecurve-color-menu styles only set fg[PRELIGHT] to white, it should set
text[PRELIGHT] to white as well.  The attached patch (against CVS 2005-08-29)
fixes it.

Comment 1 Geoff Reedy 2005-08-30 05:04:47 UTC
Created attachment 118238 [details]
fixes GtkComboBox item prelighting


Note You need to log in before you can comment on or make changes to this bug.